Looks like no one’s replied in a while. To start the conversation again, simply ask a new question.

Question:

Question: MPK88 won't work with 10.4

So my Akai MPK88 used to work with Logic before with no problems. It's a class-compliant keyboard, meaning no drivers, so nothing has changed for me. However, since I've update Logic to 10.4, my keyboard no longer is read by Logic other than when i plug/unplug it, it'll give me the popup saying "changed number of MIDI inputs/outputs". Has anyone had this problem or know what the solution is? If I can't fix this then I have an $800 MIDI keyboard doing absolutely nothing.

'

Posted on

Reply

Page content loaded

User profile for user: AkaiHelp

Question: MPK88 won't work with 10.4